import request from '@/utils/request'
import { URL } from '@/config'

export function Tree(params) {
  return request({
    url: URL.shop.store.product.category.tree,
    method: 'get',
    params,
  })
}

export function getStoreCategoryTree(params) {
  return request({
    url: URL.shop.store.product.category.getStoreCategoryTree,
    method: 'get',
    params,
  })
}

export function doDelete(data) {
  return request({
    url: URL.shop.store.product.category.del,
    method: 'post',
    data,
  })
}

export function enable(data) {
  return request({
    url: URL.shop.store.product.category.enable,
    method: 'post',
    data,
  })
}

export function doEdit(data) {
  return request({
    url: URL.shop.store.product.category.edit,
    method: 'post',
    data,
  })
}
